package com.smppw.analysis.domain.dataobject;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/14 17:00
 * @description 私募基金基本信息
 */
@Data
public class PrivatelyFundBaseInfoDo {
    /**
     * 基金id
     */
    private String fundId;

    /**
     * 基金全称
     */
    private String fundName;

    /**
     * 基金简称
     */
    private String fundShortName;

    /**
     * 基金类型
     */
    private String fundTypeValue;

    /**
     * 基金经理
     */
    private String fundManager;

    /**
     * 基金管理人id
     */
    private String trustId;

    /**
     * 基金管理人全称
     */
    private String trustFullName;

    /**
     * 基金管理人简称
     */
    private String trustName;

    /**
     * 基金货币
     */
    private String baseCurrency;

    /**
     * 净值披露频率
     */
    private String navFrequency;

    /**
     * 成立日期
     */
    private String inceptionDate;

    /**
     * 策略
     */
    private Integer strategy;

    /**
     * 二级策略
     */
    private Integer substrategy;

    /**
     * 三级策略
     */
    private Integer thirdStrategy;

    /**
     * 是否分级
     */
    private Integer istiered;

    /**
     * 是否伞型
     */
    private Integer umbrellaFund;

    /**
     * 投顾标志：-1表示无投顾;1表示初级投顾;2表示重点投顾;3表示核心投顾;
     */
    private String advisorType;

    /**
     * 投资顾问id
     */
    private String advisorId;

    /**
     * 托管银行
     */
    private String custodianName;

    /**
     * 备案编码
     */
    private String registerNumber;

    /**
     * 开放日
     */
    private String openDay;

    /**
     * 封闭期
     */
    private String lockupPeriod;

    /**
     * 基金状态
     */
    private Integer fundStatus;

}
